import * as angular from 'angular';
import { rpHeaderDirective, rpBodyDirective, rpSidebarDirective } from './directives/components/pages/repo-page/main';
import { PageServiceImpl } from './services/page/page.service.impl';
import { NgModule } from 'angular-ts-decorators';


/**
 * Module containing registered application page/view components.
 */
@NgModule({
  imports: [],
  declarations: [],
  providers: [
    PageServiceImpl,
  ]
})
export class quayPages {

}


// TODO: Move component registration to @NgModule and remove this.
angular
  .module(quayPages.name)
  .constant('pages', new PageServiceImpl())
  .directive('rpHeader', rpHeaderDirective)
  .directive('rpSidebar', rpSidebarDirective)
  .directive('rpBody', rpBodyDirective);
